资源下载 - 从此开始!

下载我_精品源码软件教程资源网

您的位置:主页 > 网络编程 > 正文

WordPress提示require_once() Failed opening required的解决方法

2018-10-21 02:06 来源:互联网 编辑:admin

本文实例讲述了WordPress提示require_once() Failed opening required的解决方法。

一、问题:

今天进我的wordpress发现提示require_once() Failed opening required in wp-admin/admin.php错误了,出现这类问题一看就是文件路径不对了,解决办法很简单.

二、解决方法:

进入后台发现报“require_once() Failed opening required wp-load.php  in wp-admin/admin.php”报错,打开wp-admin目录下手admin.php文件,将如下代码:
 

复制代码
代码如下:
require_once(dirname(dirname(__FILE__)) . '/wp-load.php');

 

改成如下代码:
 

复制代码
代码如下:
require_once('../wp-load.php');

 

重新上传即可解决问题(wp会提示更新数据库),改后的路径其它跟没改的一样,后发现重新改回默认的,页面就不竟然不报错了,怀疑更新wp程序后应先进入

/wp-admin/upgrade.php更新下再进入后台可避免wp程序报错!

安装wordpress出现了如下的错误:

Warning: require_once(D:wwwroot/wp-load.php) [function.require-once]: failed to open stream: No such file or directory in D:wwwrootsinogou֮��wp-blog-header.php on line 12

Fatal error: require_once() [function.require]: Failed opening required 'D:wwwroot/wp-load.php' (include_path='.;C:php5pear') in D:wwwrootsinogou֮��wp-blog-header.php on line 12

出现如上错误,是因为路径中有中文所致,把路径改为英文的就可以了.

希望本文所述对大家的WordPress建站有所帮助。

打赏一下,我们会为大家提供更多优质资源!

相关文章,95%的人会看!{有内幕、有真相...}

看过本文的人还看过

关闭

微信扫一扫

站长微信账号